E-MailRelay

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
G::PathImp Class Reference

A private implementation class used by G::Path providing a set of static methods. More...

## Public Types
using | pos_t = std::string::size_type

## Static Public Member Functions
static string_view | windows_sep ()
static pos_t | windows_slashpos (const std::string &s)
static bool | windows_simple (const std::string &s)
static bool | windows_absolute (const std::string &s)
static pos_t | windows_rootsize (const std::string &s, std::size_t chars, std::size_t parts)
static pos_t | windows_rootsize (const std::string &s)
static void | windows_normalise (std::string &s)
static std::string | windows_null ()
static string_view | posix_sep ()
static pos_t | posix_slashpos (const std::string &s)
static bool | posix_simple (const std::string &s)
static void | posix_normalise (std::string &s)
static bool | posix_absolute (const std::string &s)
static pos_t | posix_rootsize (const std::string &s)
static std::string | posix_null ()
static string_view | sep ()
static void | normalise (std::string &s)
static bool | simple (const std::string &s)
static bool | absolute (const std::string &s)
static std::string | null ()
static pos_t | rootsize (const std::string &s)
static pos_t | slashpos (const std::string &s)
static pos_t | dotpos (const std::string &s)
static void | splitInto (const std::string &str, StringArray &a)
static bool | purge (StringArray &a)
static std::string | join (StringArray::const_iterator p, StringArray::const_iterator end)
static std::string | join (const StringArray &a)

## Static Public Attributes
static bool | use_posix = true

## Detailed Description

A private implementation class used by G::Path providing a set of static methods.

Supports both posix-style and windows-style paths at run-time, with only the default selected at compile-time.

Definition at line 35 of file gpath.cpp.

## Member Typedef Documentation

## ◆ pos_t

using G::PathImp::pos_t = std::string::size_type

Definition at line 39 of file gpath.cpp.

## Member Function Documentation

## ◆ absolute()

static bool G::PathImp::absolute | ( | const std::string & | s | ) |
| inline static

Definition at line 153 of file gpath.cpp.

## ◆ dotpos()

static pos_t G::PathImp::dotpos | ( | const std::string & | s | ) |
| inline static

Definition at line 169 of file gpath.cpp.

## ◆ join() [1/2]

static std::string G::PathImp::join | ( | const StringArray & | a | ) |
| inline static

Definition at line 230 of file gpath.cpp.

## ◆ join() [2/2]

static std::string G::PathImp::join | ( | StringArray::const_iterator | p,
|  | StringArray::const_iterator | end
| ) |  |
| inline static

Definition at line 212 of file gpath.cpp.

## ◆ normalise()

static void G::PathImp::normalise | ( | std::string & | s | ) |
| inline static

Definition at line 145 of file gpath.cpp.

## ◆ null()

static std::string G::PathImp::null | ( |  | ) |
| inline static

Definition at line 157 of file gpath.cpp.

## ◆ posix_absolute()

static bool G::PathImp::posix_absolute | ( | const std::string & | s | ) |
| inline static

Definition at line 128 of file gpath.cpp.

## ◆ posix_normalise()

static void G::PathImp::posix_normalise | ( | std::string & | s | ) |
| inline static

Definition at line 123 of file gpath.cpp.

## ◆ posix_null()

static std::string G::PathImp::posix_null | ( |  | ) |
| inline static

Definition at line 136 of file gpath.cpp.

## ◆ posix_rootsize()

static pos_t G::PathImp::posix_rootsize | ( | const std::string & | s | ) |
| inline static

Definition at line 132 of file gpath.cpp.

## ◆ posix_sep()

static string_view G::PathImp::posix_sep | ( |  | ) |
| inline static

Definition at line 111 of file gpath.cpp.

## ◆ posix_simple()

static bool G::PathImp::posix_simple | ( | const std::string & | s | ) |
| inline static

Definition at line 119 of file gpath.cpp.

## ◆ posix_slashpos()

static pos_t G::PathImp::posix_slashpos | ( | const std::string & | s | ) |
| inline static

Definition at line 115 of file gpath.cpp.

## ◆ purge()

static bool G::PathImp::purge | ( | StringArray & | a | ) |
| inline static

Definition at line 202 of file gpath.cpp.

## ◆ rootsize()

static pos_t G::PathImp::rootsize | ( | const std::string & | s | ) |
| inline static

Definition at line 161 of file gpath.cpp.

## ◆ sep()

static string_view G::PathImp::sep | ( |  | ) |
| inline static

Definition at line 141 of file gpath.cpp.

## ◆ simple()

static bool G::PathImp::simple | ( | const std::string & | s | ) |
| inline static

Definition at line 149 of file gpath.cpp.

## ◆ slashpos()

static pos_t G::PathImp::slashpos | ( | const std::string & | s | ) |
| inline static

Definition at line 165 of file gpath.cpp.

## ◆ splitInto()

static void G::PathImp::splitInto | ( | const std::string & | str,
|  | StringArray & | a
| ) |  |
| inline static

Definition at line 184 of file gpath.cpp.

## ◆ windows_absolute()

static bool G::PathImp::windows_absolute | ( | const std::string & | s | ) |
| inline static

Definition at line 53 of file gpath.cpp.

## ◆ windows_normalise()

static void G::PathImp::windows_normalise | ( | std::string & | s | ) |
| inline static

Definition at line 90 of file gpath.cpp.

## ◆ windows_null()

static std::string G::PathImp::windows_null | ( |  | ) |
| inline static

Definition at line 106 of file gpath.cpp.

## ◆ windows_rootsize() [1/2]

static pos_t G::PathImp::windows_rootsize | ( | const std::string & | s | ) |
| inline static

Definition at line 68 of file gpath.cpp.

## ◆ windows_rootsize() [2/2]

static pos_t G::PathImp::windows_rootsize | ( | const std::string & | s,
|  | std::size_t | chars,
|  | std::size_t | parts
| ) |  |
| inline static

Definition at line 59 of file gpath.cpp.

## ◆ windows_sep()

static string_view G::PathImp::windows_sep | ( |  | ) |
| inline static

Definition at line 41 of file gpath.cpp.

## ◆ windows_simple()

static bool G::PathImp::windows_simple | ( | const std::string & | s | ) |
| inline static

Definition at line 49 of file gpath.cpp.

## ◆ windows_slashpos()

static pos_t G::PathImp::windows_slashpos | ( | const std::string & | s | ) |
| inline static

Definition at line 45 of file gpath.cpp.

## Member Data Documentation

## ◆ use_posix

bool G::PathImp::use_posix = true
| static

Definition at line 38 of file gpath.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gpath.cpp